> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/streaming-integration/apis/events-api/geo-restriction-rules.md).

# Geo-Restriction Rules

## Geo-restrictions

The Events API will always return upcoming and live events that you have a license for and have booked. However, our events and customer licenses are subject to certain geo-restrictions.

In order to know which territories you are able to view an event in, you can use the Events API to return information on which countries or US States you have a license to view the events you have booked in.

## Content Hierarchy

1 - Sport (e.g "Football")

2 - Property (E.g. "The FA Package")

3 - Tournament (E.g. "The FA Cup 2019/20")

4 - Event (E.g. "Portsmouth v Barnsley")

## Licensing of Content

Licenses are made available on a **property** level, per territory, for example you can purchase a license for X events in "The FA Package" in Y territories. More information on licenses can be found [here](/streaming-integration/ui-overview/content-list/licenses-and-event-booking-guide.md).

## Geo-restriction of content

Content is geo-restricted per tournament or on an event-by-event basis.

In general, most events within a property will be available for customers in all of the territories within their license. However there are a few examples where this is not the case:

* If a customer has a license for a property in multiple territories, certain content may not be available in one or more of these territories due to the rights IMG Arena are able to offer.
* In some properties, event-by-event geo-restrictions will vary far more than others. For these properties, regular notifications are sent out by the platform that will update customers on these geo-restrictions. If you wish to be emailed when these notifications are made available, please talk to your account manager.

## Example 1: License and events are available in your territory

* You have a license for the "ATP Challenger Tour" property in the UK and France
* The "Bangkok Open 2020" Tournament is available in both the UK and France

#### <https://api.livestreaming.srarena.io/api/v2/events\\&operatorId={}\\&authToken={}\\&timestamp={}\\&restrictions=whitelist> (was: `https://api.livestreaming.imgarena.com/api/v2/events\&operatorId={}\&authToken={}\&timestamp={}\&restrictions=whitelist`)

will return (for a sample event):

```javascript
    {
        "id": 140026,
        "title": "Treat Huey (PHI) / Nathaniel Lammons (USA) vs Mao-Xin Gong (CHN) / Ze Zhang (CHN)",
        "tournament": {
            "id": 2636,
            "name": "Bangkok Open 2020",
            "property": {
                "id": 6,
                "name": "ATP Challenger Tour",
                "sport": {
                    "id": 5,
                    "name": "Tennis"
                }
            }
        },
        "restrictionRequest": "whitelist",
        "countryList": [
            "FR",
            "UK"
        ],
        "updatedAt": "2020-01-22T22:40:56+0000",
        "startDate": "2020-01-23T03:00:00+0000",
        "endDate": "2020-01-24T03:00:00+0000"
    }
```

and you will be able to successfully make a request to our Streaming API for these streams in both the UK and France.

## Example 2: License available, some events unavailable in your territory

* You have a license for the "ATP 500" property in the UK and France
* The "Fever Tree Championships" Tournament is available in France, but not the UK

#### <https://api.livestreaming.srarena.io/api/v2/events\\&operatorId={}\\&authToken={}\\&timestamp={}\\&restrictions=whitelist> (was: `https://api.livestreaming.imgarena.com/api/v2/events\&operatorId={}\&authToken={}\&timestamp={}\&restrictions=whitelist`)

will return (for a sample event):

```javascript
    {
        "id": 140026,
        "title": "Andy Murray (GBR) vs Nick Kyrgios (AUS)",
        "tournament": {
            "id": 2636,
            "name": "Fever Tree Championships",
            "property": {
                "id": 6,
                "name": "ATP 500",
                "sport": {
                    "id": 5,
                    "name": "Tennis"
                }
            }
        },
        "restrictionRequest": "whitelist",
        "countryList": [
            "FR",
        ],
        "updatedAt": "2020-01-22T22:40:56+0000",
        "startDate": "2020-01-23T03:00:00+0000",
        "endDate": "2020-01-24T03:00:00+0000"
    }
```

and you will be able to successfully make a request to our Streaming API for these streams from France, but not the UK.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/streaming-integration/apis/events-api/geo-restriction-rules.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
